TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

InstallDocumentation ( record r ) -> elt-alg^boo success

### Optional Arguments

Fail | any |  | Determines what to return in case of failure.
ForceAdd | elt-alg^boo |  | Default: FALSE, indicate you want to add or replace existing documentation.

### Description

<shortdoc> Add documentation given by `r' to global documentation hash table.
The documentation in `r' is blown up and checked. Then it is tried to be added with a dry operation (DryReplaceOrAdd) and thus overwrites existing documentation iff the hash value computed by `r' is already in the global dry, and is appended otherwise. </shortdoc>

### See also

BlowUpDocumentation ( record )
CheckDocumentation ( record )

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack